Bug 1410281 - blivet.errors.LUKSError: luks device not configured
Summary: blivet.errors.LUKSError: luks device not configured
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eb8675f3337c052e468c5264dc0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 00:38 UTC by Igor Gnatenko
Modified: 2017-12-12 10:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:14:53 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1.09 MB, text/plain)
2017-01-05 00:38 UTC, Igor Gnatenko
no flags Details
File: anaconda.log (108.32 KB, text/plain)
2017-01-05 00:38 UTC, Igor Gnatenko
no flags Details
File: environ (592 bytes, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details
File: journalctl (475.14 KB, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details
File: lsblk_output (1.98 KB, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details
File: nmcli_dev_list (1.54 KB, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details
File: os_info (518 bytes, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details
File: program.log (37.20 KB, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details
File: storage.log (372.34 KB, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details
File: ifcfg.log (2.67 KB, text/plain)
2017-01-05 00:39 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2017-01-05 00:38:45 UTC
Version-Release number of selected component:
anaconda-core-25.20.8-1.fc25.x86_64

The following was filed automatically by anaconda:
anaconda 25.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/blivet/formats/luks.py", line 209, in _pre_setup
    raise LUKSError("luks device not configured")
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/formats/__init__.py", line 599, in setup
    if not self._pre_setup(**kwargs):
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 501, in setup_parents
    _format.setup()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 358, in _pre_setup
    self.setup_parents(orig=orig)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 369, in setup
    if not self._pre_setup(orig=orig):
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 493, in setup_parents
    parent.setup(orig=orig)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 358, in _pre_setup
    self.setup_parents(orig=orig)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 369, in setup
    if not self._pre_setup(orig=orig):
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/btrfs.py", line 534, in setup_parents
    self.volume.setup(orig=orig)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/btrfs.py", line 90, in _pre_destroy
    self.setup_parents(orig=True)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 478, in destroy
    self._pre_destroy()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/deviceaction.py", line 374, in execute
    self.device.destroy()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/install.py", line 204, in doInstall
    turn_on_filesystems(storage, mount_only=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.LUKSError: luks device not configured

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-25-1-3 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
other involved packages: python3-blivet-2.1.6-4.fc25.noarch, system-python-libs-3.5.2-4.fc25.x86_64
product:        Fedora
release:        Fedora release 25 (Twenty Five)
type:           anaconda
version:        25

Comment 1 Igor Gnatenko 2017-01-05 00:38:56 UTC
Created attachment 1237463 [details]
File: anaconda-tb

Comment 2 Igor Gnatenko 2017-01-05 00:38:59 UTC
Created attachment 1237464 [details]
File: anaconda.log

Comment 3 Igor Gnatenko 2017-01-05 00:39:01 UTC
Created attachment 1237465 [details]
File: environ

Comment 4 Igor Gnatenko 2017-01-05 00:39:06 UTC
Created attachment 1237466 [details]
File: journalctl

Comment 5 Igor Gnatenko 2017-01-05 00:39:07 UTC
Created attachment 1237467 [details]
File: lsblk_output

Comment 6 Igor Gnatenko 2017-01-05 00:39:09 UTC
Created attachment 1237468 [details]
File: nmcli_dev_list

Comment 7 Igor Gnatenko 2017-01-05 00:39:11 UTC
Created attachment 1237469 [details]
File: os_info

Comment 8 Igor Gnatenko 2017-01-05 00:39:13 UTC
Created attachment 1237470 [details]
File: program.log

Comment 9 Igor Gnatenko 2017-01-05 00:39:17 UTC
Created attachment 1237471 [details]
File: storage.log

Comment 10 Igor Gnatenko 2017-01-05 00:39:19 UTC
Created attachment 1237472 [details]
File: ifcfg.log

Comment 11 Fedora End Of Life 2017-11-16 18:39:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2017-12-12 10:14:53 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.